#pragma once

#include "common.h"

void *memcpy(void *restrict dst, const void *src, size_t n);
void *memset(void *s, int c, size_t n);
void *memmove(void *dst, const void *src, size_t n);
int memcmp(const void *s1, const void *s2, size_t n);

static int isprint(int ch) { return (u8)(ch - ' ') <= ('~' - ' '); }
